## hubzero-forge 1.1.7

=== Makefile ===
#
# @package      hubzero-forge
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#
USRSHAREDIR=$(DESTDIR)/usr/share
USRBINDIR=$(DESTDIR)/usr/bin
OPTDIR=$(DESTDIR)/opt
ETCDIR=$(DESTDIR)/etc

DIRS=svn svn/trunk svn/trunk/rappture svn/trunk/src svn/trunk/bin \
     svn/trunk/data svn/trunk/middleware svn/trunk/examples svn/trunk/doc \
	 svn/branches svn/tags templates

FILES=getstart.txt.in cover.txt.in images.txt.in link.py.in \
      ldapconf.in image.py.in templates/site_css.cs \
      templates/site_header.cs templates/site_footer.cs templates/site.html

default all build:
	@true

install:
	install --mode 0755 -d $(USRSHAREDIR)/hubzero-forge
	for d in $(DIRS) ; do install --mode 0755 -d $(USRSHAREDIR)/hubzero-forge/$$d ; done
	for f in $(FILES); do install --mode 0644 -D $$f $(USRSHAREDIR)/hubzero-forge/$$f ; done
	install --mode 0755 -D addrepo $(USRBINDIR)/addrepo 
	install --mode 0755 -D gensvnapache.py $(USRBINDIR)/gensvnapache  
	install --mode 0755 -D installtool.exp $(USRBINDIR)/installtool 
	install --mode 0755 -D finalizetool.exp $(USRBINDIR)/finalizetool 
	install --mode 0755 -D licensetool.exp $(USRBINDIR)/licensetool
	install --mode 0770 -d $(OPTDIR)/svn 
	install --mode 0770 -d $(OPTDIR)/svn/tools 
	install --mode 0770 -d $(OPTDIR)/trac 
	install --mode 0770 -d $(OPTDIR)/trac/tools 

configure:
	hzuseradd --creategroup --home /var/hubrepo --shell /bin/bash --disabled-password --gecos "Repository Manager" hubrepo
	hzuseradd --creategroup --home /var/apps --shell /bin/bash --disabled-password --gecos "Applications Manager" apps
	if [ ! -e /etc/apache2/svn.conf ]; then touch /etc/apache2/svn.conf; fi
	chgrp www-data /etc/apache2/svn.conf
	chmod 0660 /etc/apache2/svn.conf
	chgrp www-data /opt/svn
	chmod 0770 /opt/svn
	chgrp www-data /opt/svn/tools
	chmod 0770 /opt/svn/tools
	chgrp www-data /opt/trac
	chmod 0770 /opt/trac
	chgrp www-data /opt/trac/tools
	chmod 0770 /opt/trac/tools

clean:
	@true

## hubzero-forge 1.1.11

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 USRBINDIR=$(DESTDIR)/usr/bin
 OPTDIR=$(DESTDIR)/opt
 ETCDIR=$(DESTDIR)/etc
+APPSDIR=$(DESTDIR)/apps
 
 DIRS=svn svn/trunk svn/trunk/rappture svn/trunk/src svn/trunk/bin \
      svn/trunk/data svn/trunk/middleware svn/trunk/examples svn/trunk/doc \
@@ -54,6 +55,7 @@
 	install --mode 0770 -d $(OPTDIR)/svn/tools 
 	install --mode 0770 -d $(OPTDIR)/trac 
 	install --mode 0770 -d $(OPTDIR)/trac/tools 
+	install --mode 2775 -d $(APPSDIR) 
 
 configure:
 	hzuseradd --creategroup --home /var/hubrepo --shell /bin/bash --disabled-password --gecos "Repository Manager" hubrepo
@@ -69,6 +71,8 @@
 	chmod 0770 /opt/trac
 	chgrp www-data /opt/trac/tools
 	chmod 0770 /opt/trac/tools
+	chown apps:apps /apps
+	chmod 2775 /apps
 
 clean:
 	@true

## hubzero-forge 1.1.12

=== Makefile ===
--- 
+++ 
@@ -58,8 +58,8 @@
 	install --mode 2775 -d $(APPSDIR) 
 
 configure:
-	hzuseradd --creategroup --home /var/hubrepo --shell /bin/bash --disabled-password --gecos "Repository Manager" hubrepo
-	hzuseradd --creategroup --home /var/apps --shell /bin/bash --disabled-password --gecos "Applications Manager" apps
+	`id hubrepo > /dev/null 2>&1;` || hzuseradd --creategroup --home /var/hubrepo --shell /bin/bash --disabled-password --gecos "Repository Manager" hubrepo
+	`id apps > /dev/null 2>&1;` || hzuseradd --creategroup --home /var/apps --shell /bin/bash --disabled-password --gecos "Applications Manager" apps
 	if [ ! -e /etc/apache2/svn.conf ]; then touch /etc/apache2/svn.conf; fi
 	chgrp www-data /etc/apache2/svn.conf
 	chmod 0660 /etc/apache2/svn.conf

## hubzero-forge 1.1.20

=== Makefile ===
--- 
+++ 
@@ -58,8 +58,8 @@
 	install --mode 2775 -d $(APPSDIR) 
 
 configure:
-	`id hubrepo > /dev/null 2>&1;` || hzuseradd --creategroup --home /var/hubrepo --shell /bin/bash --disabled-password --gecos "Repository Manager" hubrepo
-	`id apps > /dev/null 2>&1;` || hzuseradd --creategroup --home /var/apps --shell /bin/bash --disabled-password --gecos "Applications Manager" apps
+	`id hubrepo > /dev/null 2>&1;` || hzuseradd --home /var/hubrepo --shell /bin/bash --disabled-password --gecos "Repository Manager" hubrepo
+	`id apps > /dev/null 2>&1;` || hzuseradd --home /var/apps --shell /bin/bash --disabled-password --gecos "Applications Manager" apps
 	if [ ! -e /etc/apache2/svn.conf ]; then touch /etc/apache2/svn.conf; fi
 	chgrp www-data /etc/apache2/svn.conf
 	chmod 0660 /etc/apache2/svn.conf

## hubzero-forge 1.1.21

=== Makefile ===
--- 
+++ 
@@ -51,28 +51,6 @@
 	install --mode 0755 -D installtool.exp $(USRBINDIR)/installtool 
 	install --mode 0755 -D finalizetool.exp $(USRBINDIR)/finalizetool 
 	install --mode 0755 -D licensetool.exp $(USRBINDIR)/licensetool
-	install --mode 0770 -d $(OPTDIR)/svn 
-	install --mode 0770 -d $(OPTDIR)/svn/tools 
-	install --mode 0770 -d $(OPTDIR)/trac 
-	install --mode 0770 -d $(OPTDIR)/trac/tools 
-	install --mode 2775 -d $(APPSDIR) 
-
-configure:
-	`id hubrepo > /dev/null 2>&1;` || hzuseradd --home /var/hubrepo --shell /bin/bash --disabled-password --gecos "Repository Manager" hubrepo
-	`id apps > /dev/null 2>&1;` || hzuseradd --home /var/apps --shell /bin/bash --disabled-password --gecos "Applications Manager" apps
-	if [ ! -e /etc/apache2/svn.conf ]; then touch /etc/apache2/svn.conf; fi
-	chgrp www-data /etc/apache2/svn.conf
-	chmod 0660 /etc/apache2/svn.conf
-	chgrp www-data /opt/svn
-	chmod 0770 /opt/svn
-	chgrp www-data /opt/svn/tools
-	chmod 0770 /opt/svn/tools
-	chgrp www-data /opt/trac
-	chmod 0770 /opt/trac
-	chgrp www-data /opt/trac/tools
-	chmod 0770 /opt/trac/tools
-	chown apps:apps /apps
-	chmod 2775 /apps
 
 clean:
 	@true

## hubzero-forge 1.1.25

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # @package      hubzero-forge
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-forge 1.1.27

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # @package      hubzero-forge
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-forge 1.2.0

=== Makefile ===
# @package      hubzero-forge
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
USRSHARE=$(DESTDIR)/usr/share

DIRS=svn svn/trunk svn/trunk/rappture svn/trunk/src svn/trunk/bin \
     svn/trunk/data svn/trunk/middleware svn/trunk/examples svn/trunk/doc \
	 svn/branches svn/tags templates

FILES=getstart.txt.in cover.txt.in images.txt.in link.py.in \
      ldapconf.in image.py.in templates/site_css.cs \
      templates/site_header.cs templates/site_footer.cs templates/site.html

all:
	@true

install:
	install --mode 0755 -d $(USRSHARE)/hubzero-forge
	for d in $(DIRS) ; do install --mode 0755 -d $(USRSHARE)/hubzero-forge/$$d ; done
	for f in $(FILES); do install --mode 0644 -D $$f $(USRSHARE)/hubzero-forge/$$f ; done
	install --mode 0755 -D addrepo $(USRBIN)/addrepo 
	install --mode 0755 -D gensvnapache.py $(USRBIN)/gensvnapache  
	install --mode 0755 -D installtool.exp $(USRBIN)/installtool 
	install --mode 0755 -D finalizetool.exp $(USRBIN)/finalizetool 
	install --mode 0755 -D licensetool.exp $(USRBIN)/licensetool

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-forge 1.3.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-forge
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-forge 1.3.3

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	install --mode 0755 -d $(USRSHARE)/hubzero-forge
 	for d in $(DIRS) ; do install --mode 0755 -d $(USRSHARE)/hubzero-forge/$$d ; done
 	for f in $(FILES); do install --mode 0644 -D $$f $(USRSHARE)/hubzero-forge/$$f ; done
+	install --mode 0640 -D Makefile.tmpl $(USRSHARE)/hubzero-forge/svn/trunk/src/Makefile
 	install --mode 0755 -D addrepo $(USRBIN)/addrepo 
 	install --mode 0755 -D gensvnapache.py $(USRBIN)/gensvnapache  
 	install --mode 0755 -D installtool.exp $(USRBIN)/installtool

## hubzero-forge 2.0.0

=== Makefile ===
--- 
+++ 
@@ -2,25 +2,27 @@
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
 # @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
-# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
+# @license      http://opensource.org/licenses/MIT MIT
 #
 # Copyright (c) 2012-2015 HUBzero Foundation, LLC.
 #
-# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
 #
-# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
-# software: you can redistribute it and/or modify it under the terms of
-# the GNU Lesser General Public License as published by the Free Software
-# Foundation, either version 3 of the License, or (at your option) any
-# later version.
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
 #
-# HUBzero is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #

## hubzero-forge 2.0.5

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	install --mode 0755 -d $(USRSHARE)/hubzero-forge
 	for d in $(DIRS) ; do install --mode 0755 -d $(USRSHARE)/hubzero-forge/$$d ; done
 	for f in $(FILES); do install --mode 0644 -D $$f $(USRSHARE)/hubzero-forge/$$f ; done
-	install --mode 0640 -D Makefile.tmpl $(USRSHARE)/hubzero-forge/svn/trunk/src/Makefile
+	install --mode 0644 -D Makefile.tmpl $(USRSHARE)/hubzero-forge/svn/trunk/src/Makefile
 	install --mode 0755 -D addrepo $(USRBIN)/addrepo 
 	install --mode 0755 -D gensvnapache.py $(USRBIN)/gensvnapache  
 	install --mode 0755 -D installtool.exp $(USRBIN)/installtool

## hubzero-forge 2.1.8-1+deb6

=== debian/changelog ===
hubzero-forge (2.1.8-1+deb6) unstable; urgency=low

  * git2svn: adding authentication when checking out repository

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Jan 2018 11:25:13 -0400

hubzero-forge (2.1.7-1) unstable; urgency=low

  * addrepo: remove some comments

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 22 Aug 2017 13:42:04 -0400

hubzero-forge (2.1.6-1) unstable; urgency=low

  * gensvnapache: Remove .tgz compression encoding headers

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 08 Jun 2017 11:04:34 -0400

hubzero-forge (2.1.5-1) unstable; urgency=low

  * gensvnapache: Remove compression encoding headers from subversion locations

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 08 Jun 2017 09:35:34 -0400

hubzero-forge (2.1.4-1) unstable; urgency=low

  * gensvnapache: Add support for Apache 2.4.x server configuration

 -- Nicholas J. Kisseberth  <nkissebe@purdue.edu>  Mon, 05 Jun 2017 15:14:22 -0400

hubzero-forge (2.1.3-1) unstable; urgency=low

  * fix jessie dependencies

 -- Nicholas Kisseberth <nkissebe@purdue.edu>  Fri, 24 Mar 2017 16:21:51 -0400

hubzero-forge (2.1.2-1) unstable; urgency=low

  * add git2svn script

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 15 Dec 2016 11:08:10 -0500

hubzero-forge (2.1.1-1) unstable; urgency=low

  * fix secure_cookies regex
  * make unset HOME conditional on it being set

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 25 Oct 2016 15:20:12 -0400

hubzero-forge (2.1.0-1) unstable; urgency=low

  * remove rpm autodependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 25 Oct 2016 10:23:11 -0400

hubzero-forge (2.0.5-1) unstable; urgency=low

  * set secure_cookies in trac.ini when setting up trac projects

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 20 Oct 2016 13:43:27 -0400

hubzero-forge (2.0.1-1) unstable; urgency=low

  * Escape quotes going into svn.conf file

 -- Nicholas Kisseberth <nkissebe@nix8.hubzero.org>  Mon, 23 May 2016 13:39:00 -0400

hubzero-forge (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 15:08:14 -0400

hubzero-forge (1.3.3-1) unstable; urgency=low

  * add default Makefile to initial app subversion repository
  * add "-C rappture" when calling invoke_app from default invoke scripts

 -- Nicholas Kisseberth <nkissebe@purdue.edu>  Mon, 10 Aug 2015 14:52:54 -0400

hubzero-forge (1.3.2-1) unstable; urgency=low

  * move transitional package to its own repository 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 19 Feb 2015 14:08:02 -0500

hubzero-forge (1.3.1-1) unstable; urgency=low

  * update copyrights

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Feb 2015 13:18:36 -0500

hubzero-forge (1.3.0-1) unstable; urgency=low

  * require tclX, set umask to 022

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 22 Oct 2014 11:19:12 -0400

hubzero-forge (1.2.0-3) unstable; urgency=low

  * add lsb-release to dependency list so addrepo can identify distribution

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 26 Sep 2014 17:37:36 -0400

hubzero-forge (1.2.0-2) unstable; urgency=low

  * tweak transitional package dependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 14 Sep 2014 18:34:40 -0400

hubzero-forge (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Sep 2014 11:30:01 -0400

hubzero-forge (1.1.30-1) unstable; urgency=low

  * addrepo: make new apache reload actually work

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 15 May 2014 11:20:19 -0400

hubzero-forge (1.1.29-1) unstable; urgency=low

  * addrepo: make apache reload compatible with redhat

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 14 May 2014 14:40:35 -0400

hubzero-forge (1.1.28-1) unstable; urgency=low

  * addrepo: make redhat compatible for apache config directory and apache restart script

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 13 May 2014 17:32:20 -0400

hubzero-forge (1.1.27-1) unstable; urgency=low

  * addrepo: apache user group changed from www-data to apache if using RedHat 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 12 May 2014 13:30:28 -0400

hubzero-forge (1.1.26-1) unstable; urgency=low

  * copyright and packaging updates for 2014
  * updating the find_files function to only look for regular files and
    directories, ignoring links as they can lead us out of the original
    directory tree, or in recursive loops.

 -- Derrick Kearney <dsk@purdue.edu>  Fri, 25 Apr 2014 14:49:17 -0400

hubzero-forge (1.1.25-1) unstable; urgency=low

  * add hubzero-trac and hubzero-subversion to recommends dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 02 Sep 2013 14:25:35 -0400

hubzero-forge (1.1.24-1) unstable; urgency=low

  * parse joomla 2.5 configuration.php files (public vs. var)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Aug 2013 19:07:07 -0400

hubzero-forge (1.1.23-1) unstable; urgency=low

  * Update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 16 Aug 2013 20:07:28 -0400

hubzero-forge (1.1.22-1) unstable; urgency=low

  * tighten permission on subversion directories

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 12 Jul 2013 10:38:14 -0400

hubzero-forge (1.1.21-1) unstable; urgency=low

  * remove problematic postinst, hzcms handles configuration now
  * don't create /opt/svn, /opt/trac, or /apps directory... defer to hzcms

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Jun 2013 12:00:49 -0400

hubzero-forge (1.1.20-1) unstable; urgency=low

  * don't autogenerate svn configuration for groups/infrastructure at all

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 01 Apr 2013 11:26:50 -0400

hubzero-forge (1.1.19-1) unstable; urgency=low



=== debian/control ===
Source: hubzero-forge
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.0
Homepage: http://hubzero.org

Package: hubzero-forge
Architecture: all
Replaces: hubzero-addrepo
Breaks: hubzero-addrepo
Depends: python (>=2.6),${misc:Depends},apache2,sudo,lsb-release,libnet-ldap-perl,expect,hubzero-python,hubzero-cli , tcl8.4, tclx8.4  
Recommends: hubzero-trac,hubzero-subversion
Description: HUBzero forge creation script
 HUBzero forge creation script, called by HUBzero CMS

## hubzero-forge 2.1.8-1+deb7

=== Makefile ===
--- 
+++ 
@@ -51,6 +51,7 @@
 	install --mode 0755 -D installtool.exp $(USRBIN)/installtool 
 	install --mode 0755 -D finalizetool.exp $(USRBIN)/finalizetool 
 	install --mode 0755 -D licensetool.exp $(USRBIN)/licensetool
+	install --mode 0755 -D git2svn.sh $(USRBIN)/git2svn.sh
 
 uninstall:
 	@true

=== debian/changelog ===
hubzero-forge (2.1.8-1+deb7) unstable; urgency=low

  * git2svn: adding authentication when checking out repository

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Jan 2018 11:25:13 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: all
 Replaces: hubzero-addrepo
 Breaks: hubzero-addrepo
-Depends: python (>=2.6),${misc:Depends},apache2,sudo,lsb-release,libnet-ldap-perl,expect,hubzero-python,hubzero-cli , tcl8.4, tclx8.4  
+Depends: python (>=2.6),${misc:Depends},apache2,sudo,lsb-release,libnet-ldap-perl,expect,hubzero-python,hubzero-cli  , tcl8.4, tclx8.4 
 Recommends: hubzero-trac,hubzero-subversion
 Description: HUBzero forge creation script
  HUBzero forge creation script, called by HUBzero CMS

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-forge
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-forge install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-forge 2.2.0-4+deb8

=== debian/changelog ===
hubzero-forge (2.2.0-4+deb8) unstable; urgency=low

  packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 04 Apr 2018 13:14:48 -0400

hubzero-forge (2.1.8-1) unstable; urgency=low

  * git2svn: adding authentication when checking out repository

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Jan 2018 11:25:13 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: all
 Replaces: hubzero-addrepo
 Breaks: hubzero-addrepo
-Depends: python (>=2.6),${misc:Depends},apache2,sudo,lsb-release,libnet-ldap-perl,expect,hubzero-python,hubzero-cli  , tcl8.4, tclx8.4 
+Depends: python (>=2.6),${misc:Depends},apache2,sudo,lsb-release,libnet-ldap-perl,expect,hubzero-python,hubzero-cli   , tcl8.5, tclx8.4
 Recommends: hubzero-trac,hubzero-subversion
 Description: HUBzero forge creation script
  HUBzero forge creation script, called by HUBzero CMS

## hubzero-forge 2.2.9-1+deb9

=== Makefile ===
--- 
+++ 
@@ -30,13 +30,21 @@
 USRBIN=$(DESTDIR)/usr/bin
 USRSHARE=$(DESTDIR)/usr/share
 
-DIRS=svn svn/trunk svn/trunk/rappture svn/trunk/src svn/trunk/bin \
+DIRS=svn svn/trunk svn/trunk/rappture svn/trunk/simtool svn/trunk/src svn/trunk/bin \
      svn/trunk/data svn/trunk/middleware svn/trunk/examples svn/trunk/doc \
-	 svn/branches svn/tags templates
+     svn/branches svn/tags \
+     git git/bin git/data git/doc git/examples \
+     git/middleware git/rappture git/simtool git/src \
+     templates
 
-FILES=getstart.txt.in cover.txt.in images.txt.in link.py.in \
+KEEPDIRS=git/examples git/rappture git/simtool git/doc git/data git/bin
+
+FILES=getstartGIT.txt.in getstartGITexternal.txt.in getstartSVN.txt.in \
+      cover.txt.in images.txt.in link.py.in \
       ldapconf.in image.py.in templates/site_css.cs \
       templates/site_header.cs templates/site_footer.cs templates/site.html
+
+DISTRIBUTION:=$(shell lsb_release -i -s)
 
 all:
 	@true
@@ -45,19 +53,55 @@
 	install --mode 0755 -d $(USRSHARE)/hubzero-forge
 	for d in $(DIRS) ; do install --mode 0755 -d $(USRSHARE)/hubzero-forge/$$d ; done
 	for f in $(FILES); do install --mode 0644 -D $$f $(USRSHARE)/hubzero-forge/$$f ; done
-	install --mode 0644 -D Makefile.tmpl $(USRSHARE)/hubzero-forge/svn/trunk/src/Makefile
 	install --mode 0755 -D addrepo $(USRBIN)/addrepo 
-	install --mode 0755 -D gensvnapache.py $(USRBIN)/gensvnapache  
+	install --mode 0755 -D gensvnapache $(USRBIN)/gensvnapache  
 	install --mode 0755 -D installtool.exp $(USRBIN)/installtool 
 	install --mode 0755 -D finalizetool.exp $(USRBIN)/finalizetool 
 	install --mode 0755 -D licensetool.exp $(USRBIN)/licensetool
+	install --mode 0644 -D Makefile.tmpl $(USRSHARE)/hubzero-forge/svn/trunk/src/Makefile
+	install --mode 0644 -D Makefile.tmpl $(USRSHARE)/hubzero-forge/git/src/Makefile
+	install --mode 0755 -D invoke.jupyter.tmpl $(USRSHARE)/hubzero-forge/svn/trunk/middleware/invoke.jupyter
+	install --mode 0755 -D invoke.simtool.tmpl $(USRSHARE)/hubzero-forge/svn/trunk/middleware/invoke.simtool
+	install --mode 0755 -D invoke.standard.tmpl $(USRSHARE)/hubzero-forge/svn/trunk/middleware/invoke.standard
+	install --mode 0644 -D simtoolExample.ipynb.tmpl $(USRSHARE)/hubzero-forge/svn/trunk/simtoolExample.ipynb
+	install --mode 0644 -D simtool.ipynb.tmpl $(USRSHARE)/hubzero-forge/svn/trunk/simtool/simtool.ipynb
+	install --mode 0755 -D invoke.jupyter.tmpl $(USRSHARE)/hubzero-forge/git/middleware/invoke.jupyter
+	install --mode 0755 -D invoke.simtool.tmpl $(USRSHARE)/hubzero-forge/git/middleware/invoke.simtool
+	install --mode 0755 -D invoke.standard.tmpl $(USRSHARE)/hubzero-forge/git/middleware/invoke.standard
+	install --mode 0644 -D simtoolExample.ipynb.tmpl $(USRSHARE)/hubzero-forge/git/simtoolExample.ipynb
+	install --mode 0644 -D simtool.ipynb.tmpl $(USRSHARE)/hubzero-forge/git/simtool/simtool.ipynb
+	touch keep; for d in $(KEEPDIRS) ; do install --mode 0644 -D keep $(USRSHARE)/hubzero-forge/$$d/.keep ; done ; rm -f keep
+	install --mode 0644 -D README.md.tmpl $(USRSHARE)/hubzero-forge/git/README.md
+	install --mode 0755 -D addrepo.sh $(USRBIN)/addrepo.sh
+	install --mode 0755 -D addrepoGIT.py $(USRBIN)/addrepoGIT.py
+	install --mode 0755 -D addrepoGITexternal.py $(USRBIN)/addrepoGITexternal.py
+	install --mode 0755 -D addrepoSVN.py $(USRBIN)/addrepoSVN.py
+	install --mode 0755 -D finalizetool.sh $(USRBIN)/finalizetool.sh
+	install --mode 0755 -D finalizetoolGIT.py $(USRBIN)/finalizetoolGIT.py
+	install --mode 0755 -D finalizetoolGITexternal.py $(USRBIN)/finalizetoolGITexternal.py
+	install --mode 0755 -D finalizetoolSVN.py $(USRBIN)/finalizetoolSVN.py
+	install --mode 0755 -D gengitExternalapache.py $(USRBIN)/gengitExternalapache.py
+	install --mode 0755 -D gengitapache.py $(USRBIN)/gengitapache.py
+	install --mode 0755 -D gensvnapache.py $(USRBIN)/gensvnapache.py
+	install --mode 0755 -D getExternalGITexternal.py $(USRBIN)/getExternalGITexternal.py
+	install --mode 0755 -D git2git.sh $(USRBIN)/git2git.sh
 	install --mode 0755 -D git2svn.sh $(USRBIN)/git2svn.sh
+	install --mode 0755 -D installtool.sh $(USRBIN)/installtool.sh
+	install --mode 0755 -D installtoolGIT.py $(USRBIN)/installtoolGIT.py
+	install --mode 0755 -D installtoolGITexternal.py $(USRBIN)/installtoolGITexternal.py
+	install --mode 0755 -D installtoolSVN.py $(USRBIN)/installtoolSVN.py
 
 uninstall:
 	@true
 
 postinst:
-	@true
+ifeq ($(DISTRIBUTION),Debian)
+	adduser --system --home /var/lib/hzsvn --group --quiet --shell /usr/sbin/nologin hzsvn
+	adduser --system --home /var/lib/hzgit --group --quiet --shell /usr/sbin/nologin hzgit
+else
+	adduser --system -m --home-dir /var/lib/hzgit --shell /sbin/nologin hzgit
+	adduser --system -m --home-dir /var/lib/hzsvn --shell /sbin/nologin hzsvn
+endif
 
 clean:
 	@true

=== debian/changelog ===
hubzero-forge (2.2.9-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 16:53:24 -0700

hubzero-forge (2.2.8-2) unstable; urgency=low

  * add python34-pip dependency for el6

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 14 Aug 2020 12:35:15 -0700

hubzero-forge (2.2.8-1) unstable; urgency=low

  * add python34 dependencies for el6
  * add jupyter notebook pipeline support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 14 Aug 2020 12:19:06 -0700

hubzero-forge (2.2.7-1) unstable; urgency=low

  * correct version of gensvnapache restored in last commit

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 03 May 2019 12:25:56 -0400

hubzero-forge (2.2.6-1) unstable; urgency=low

  * include an old version of gensvnapache for backward compatability

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 03 May 2019 12:06:21 -0400

hubzero-forge (2.2.5-1) unstable; urgency=low

  * Updated apache rewrite rules
  * Corrected setting of open/closed source access controls
  * README file should not be executable
  * Correct git executable directory path
  * Use a proper directory tree walk to set ownership and permissions

 -- Steven Clark <clarks@purdue.edu>  Thu, 02 May 2019 10:41:11 -0400

hubzero-forge (2.2.4-1) unstable; urgency=low

  * create hzgit and hzsvn users in package postinst

 -- Steven Clark <clarks@purdue.edu>  Wed, 24 Apr 2019 16:34:59 -0400

hubzero-forge (2.2.3-1) unstable; urgency=low

  * revert deletion of licensetool.exp

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Mar 2019 13:20:07 -0400

hubzero-forge (2.2.2-1) unstable; urgency=low

  * keep old versions for backward compatability

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Mar 2019 13:11:45 -0400

hubzero-forge (2.2.1-1) unstable; urgency=low

  * Adding local git repo option to tool pipeline.
  * Adding private git repo (github/gitlab ssh model) option to tool pipeline.
  * Replace TCL scripts with Python scripts.

 -- Steven Clark <clarks@purdue.edu>  Thu, 21 Mar 2019 14:01:32 -0400

hubzero-forge (2.2.0-4) unstable; urgency=low

  packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 04 Apr 2018 13:14:48 -0400

=== debian/control ===

Source: hubzero-forge
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.0
Homepage: http://hubzero.org

Package: hubzero-forge
Architecture: all
Replaces: hubzero-addrepo
Breaks: hubzero-addrepo
Depends: adduser, python (>=2.6),${misc:Depends},python3,apache2,sudo,lsb-release,libnet-ldap-perl,expect,hubzero-python,hubzero-cli    , tcl8.5, tclx8.4 
Recommends: hubzero-trac,hubzero-subversion
Description: HUBzero forge creation script
 HUBzero forge creation script, called by HUBzero CMS
